> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Test an outbound capability

> Calls the provider URL for the capability with the OAuth token of the connected test store and records the result.



## OpenAPI

````yaml post /api/ecommerce-app/{id}/checks/capability/{capability}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/ecommerce-app/{id}/checks/capability/{capability}:
    post:
      tags:
        - Custom Ecommerce Apps · Management
      summary: Test an outbound capability
      description: >-
        Calls the provider URL for the capability with the OAuth token of the
        connected test store and records the result.
      operationId: EcommerceAppController_testCapability
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: capability
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CapabilityTestDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CapabilityTestDto:
      type: object
      properties:
        sample_id:
          type: string
        quantity:
          type: integer
          exclusiveMinimum: true
          maximum: 9007199254740991
          minimum: 0

````